Subject: [media-types] request for review: application/csrattributes

From: Sean Turner <[email-masked]>
Date: Tue, 16 Apr 2013 11:14:39 -0400

Hi media type experts,

I'd like to request a review of the application/csrattributes media type 
found in https://datatracker.ietf.org/doc/draft-ietf-pkix-est/.  The 
document is about to complete WGLC and I'd like to make sure we get the 
expert review in for the media type before we hit the IESG.

The short story: Clients query the server over HTTP to determine what if 
any additional attributes need to be included in their CSR (Certificate 
Signing Request), which is another name for PKCS#10 and CMC 
certification requests.  The server returns ASN.1 Object Identifier for 
the attributes it would like to see in the request.  All of the other 
exchanges have previously defined media types except for this one.

spt